SSpiderIQ
SSpiderIQ

Docs / api-reference/crm-tasks

crm-tasks

6 endpoints from the published OpenAPI import.

GET/api/v1/crm/boards/{board_id}/tasks

List tasks on a board

Parameters

NameInTypeRequiredDescription
board_idpathstringtrue
column_idqueryanyfalse
limitqueryintegerfalse
offsetqueryintegerfalse
Try it
Query

Examples

cURL
curl -X GET 'https://spideriq.ai/api/v1/crm/boards/{board_id}/tasks' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.get(
    "https://spideriq.ai/api/v1/crm/boards/{board_id}/tasks",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/boards/{board_id}/tasks", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/crm/boards/{board_id}/tasks", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
POST/api/v1/crm/boards/{board_id}/tasks

Create a task

Parameters

NameInTypeRequiredDescription
board_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/crm/boards/{board_id}/tasks' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "column_id": "00000000-0000-0000-0000-000000000000",
  "title": "string",
  "description": "string",
  "priority": "string",
  "labels": [
    "string"
  ],
  "custom_fields": {},
  "source": "string",
  "external_ref": "string"
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/crm/boards/{board_id}/tasks",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"column_id": "00000000-0000-0000-0000-000000000000", "title": "string", "description": "string", "priority": "string", "labels": ["string"], "custom_fields": {}, "source": "string", "external_ref": "string"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/boards/{board_id}/tasks", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"column_id": "00000000-0000-0000-0000-000000000000", "title": "string", "description": "string", "priority": "string", "labels": ["string"], "custom_fields": {}, "source": "string", "external_ref": "string"})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"column_id": "00000000-0000-0000-0000-000000000000", "title": "string", "description": "string", "priority": "string", "labels": ["string"], "custom_fields": {}, "source": "string", "external_ref": "string"}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/crm/boards/{board_id}/tasks", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
201Successful Response
422Validation Error
GET/api/v1/crm/tasks/{task_id}

Get a task

Parameters

NameInTypeRequiredDescription
task_idpathstringtrue
Try it
Query

Examples

cURL
curl -X GET 'https://spideriq.ai/api/v1/crm/tasks/{task_id}' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.get(
    "https://spideriq.ai/api/v1/crm/tasks/{task_id}",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/tasks/{task_id}", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/crm/tasks/{task_id}", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
PATCH/api/v1/crm/tasks/{task_id}

Update a task

Parameters

NameInTypeRequiredDescription
task_idpathstringtrue
Try it
Query

Examples

cURL
curl -X PATCH 'https://spideriq.ai/api/v1/crm/tasks/{task_id}' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "column_id": "00000000-0000-0000-0000-000000000000",
  "title": "string",
  "description": "string",
  "status": "string",
  "priority": "string",
  "position": 0,
  "due_date": "2026-01-01T00:00:00Z",
  "labels": [
    "string"
  ],
  "custom_fields": {}
}'
Python
import httpx

resp = httpx.patch(
    "https://spideriq.ai/api/v1/crm/tasks/{task_id}",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"column_id": "00000000-0000-0000-0000-000000000000", "title": "string", "description": "string", "status": "string", "priority": "string", "position": 0, "due_date": "2026-01-01T00:00:00Z", "labels": ["string"], "custom_fields": {}},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/tasks/{task_id}", {
  method: "PATCH",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"column_id": "00000000-0000-0000-0000-000000000000", "title": "string", "description": "string", "status": "string", "priority": "string", "position": 0, "due_date": "2026-01-01T00:00:00Z", "labels": ["string"], "custom_fields": {}})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"column_id": "00000000-0000-0000-0000-000000000000", "title": "string", "description": "string", "status": "string", "priority": "string", "position": 0, "due_date": "2026-01-01T00:00:00Z", "labels": ["string"], "custom_fields": {}}`)
	req, _ := http.NewRequest("PATCH", "https://spideriq.ai/api/v1/crm/tasks/{task_id}", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
DELETE/api/v1/crm/tasks/{task_id}

Soft-delete a task

Parameters

NameInTypeRequiredDescription
task_idpathstringtrue
Try it
Query

Examples

cURL
curl -X DELETE 'https://spideriq.ai/api/v1/crm/tasks/{task_id}' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.delete(
    "https://spideriq.ai/api/v1/crm/tasks/{task_id}",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/tasks/{task_id}", {
  method: "DELETE",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("DELETE", "https://spideriq.ai/api/v1/crm/tasks/{task_id}", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
204Successful Response
422Validation Error
POST/api/v1/crm/tasks/{task_id}/move

Move a task to a column/position

Parameters

NameInTypeRequiredDescription
task_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/crm/tasks/{task_id}/move' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "column_id": "00000000-0000-0000-0000-000000000000",
  "position": 0
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/crm/tasks/{task_id}/move",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"column_id": "00000000-0000-0000-0000-000000000000", "position": 0},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/tasks/{task_id}/move", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"column_id": "00000000-0000-0000-0000-000000000000", "position": 0})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"column_id": "00000000-0000-0000-0000-000000000000", "position": 0}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/crm/tasks/{task_id}/move", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error